Create email notifiers

Creates one or more email notifiers.

Requires one of the following license types: ioa, ioaPreview, or ioe. See License Types.

Requires the Create permission on the Alerts by email entity (create:email-notifier) and the Read permission on the Indicators of Exposure entity (read:checker). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Validates the post /email-notifiers response

string
enum
required

Specifies what triggers a notification: deviances for each new deviance, attacks for each attack, or healthChecks for each change in health check status.

Allowed:
checkers
array of integers
required
length ≥ 1

Specifies the IDs of the checkers to send notifications for. Required when inputType is deviances.

checkers*
profiles
array of integers
required
length ≥ 1

Specifies the IDs of the security profiles to send notifications for. Required when inputType is deviances or attacks.

profiles*
string
required

Specifies the email address that receives the notifications.

integer
required

Specifies the minimum severity that triggers a notification.

directories
array of integers
required
length ≥ 1

Specifies the IDs of the directories to send notifications for.

directories*
string

Specifies a description of the notifier.

boolean
required

Specifies whether to send notifications for deviances detected during the initial analysis, which can produce a large volume of notifications after a restart.

Responses

401

Returned if the API key specified in your request is invalid.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json